## org.eclipse.amp.amf.testing
Class ATestInterpreter

    java.lang.Object
      org.eclipse.amp.amf.testing.ATestInterpreter

All Implemented Interfaces:
  ICached

    public class ATestInterpreter

extends java.lang.Object
implements ICached

Author:
  mparker

Constructor Summary
`ATestInterpreter()`

Method Summary
`static java.lang.String` `convertURI(TestMember importModel)`
`static java.lang.String` `convertURI(Tests tests)`
`static double` `doubleValue(org.eclipse.emf.ecore.EObject constraintValue)`
`AParInterpreter` `getAparInterpreter()`
`Model` `getModel()`
`static org.eclipse.emf.common.util.URI` `getParameterURI(org.eclipse.emf.ecore.resource.Resource resource)`
`org.eclipse.emf.ecore.resource.Resource` `getResource()`
`void` `load(org.eclipse.emf.ecore.resource.Resource resource)`
`void` `setCache(IInterpreterProvider cache)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ATestInterpreter

    public ATestInterpreter()

Method Detail

### load

    public void load(org.eclipse.emf.ecore.resource.Resource resource)

  Specified by:
    `load` in interface `ICached`

### getModel

    public Model getModel()

### getAparInterpreter

    public AParInterpreter getAparInterpreter()

### getResource

    public org.eclipse.emf.ecore.resource.Resource getResource()

  Returns:
    the resource

### setCache

    public void setCache(IInterpreterProvider cache)

  Specified by:
    `setCache` in interface `ICached`
  Parameters:
    `cache` -
  See Also:
    `org.eclipse.amp.amf.abase.xtext.ICached#setCache(org.eclipse.amp.amf.abase.xtext.IInterpreterProvider)`

### convertURI

    public static java.lang.String convertURI(TestMember importModel)

### convertURI

    public static java.lang.String convertURI(Tests tests)

### getParameterURI

    public static org.eclipse.emf.common.util.URI getParameterURI(org.eclipse.emf.ecore.resource.Resource resource)

### doubleValue

    public static double doubleValue(org.eclipse.emf.ecore.EObject constraintValue)